{
    "doc": "In GMS, Previous Treatment of Patient",
    "fields": [
        {
            "name": "previousTreatmentType",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "previousTreatmentName",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "previousTreatmentDate",
            "type": [
                "null",
                {
                    "doc": "This defines a date record",
                    "fields": [
                        {
                            "doc": "Format YYYY",
                            "name": "year",
                            "type": "int"
                        },
                        {
                            "doc": "Format MM. e.g June is 06",
                            "name": "month",
                            "type": [
                                "null",
                                "int"
                            ]
                        },
                        {
                            "doc": "Format DD e.g. 12th of October is 12",
                            "name": "day",
                            "type": [
                                "null",
                                "int"
                            ]
                        }
                    ],
                    "name": "Date",
                    "type": "record"
                }
            ]
        }
    ],
    "name": "PreviousTreatment",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}